Package core :: Module ssl_support :: Class SSLSupport

[hide private]
[frames] | no frames]

# Class SSLSupport

source code

    object --+
             |
            SSLSupport

Known Subclasses:
  - net.NetServer
  - , net.NetClient
  - , http.HttpServer
  - , http.HttpClient

A mixin module allowing SSL attributes to be set on classes

Instance Methods | [hide private]

set_ssl(self, val) Set whether the server or client will use SSL. | source code

set_key_store_path(self, path) Set the path to the SSL key store. | source code

set_key_store_password(self, password) Set the password for the SSL key store. | source code

set_trust_store_path(self, path) Set the path to the SSL trust store. | source code

set_trust_store_password(self, password) Set the password for the SSL trust store. | source code

Class Variables | [hide private]

| ssl = `property(fset= set_ssl)`
| key_store_path = `property(fset= set_key_store_path)`
| key_store_password = `property(fset= set_key_store_password)`
| trust_store_path = `property(fset= set_trust_store_path)`
| trust_store_password = `property(fset= set_trust_store_password)`

Method Details | [hide private]

### set_ssl(self, val)

source code

Set whether the server or client will use SSL.

Keyword arguments:

Parameters:
  - `val` - If true then ssl will be used.

    return self. So multiple invocations can be chained.

### set_key_store_path(self, path)

source code

Set the path to the SSL key store. This method should only be used with the client/server in SSL mode, i.e. after {#ssl=} has been set to true. The SSL key store is a standard Java Key Store, and should contain the client/server certificate. For a client, it's only necessary to supply a client key store if the server requires client authentication via client certificates.

Keyword arguments:

Parameters:
  - `path` - The path to the key store

    return self. So multiple invocations can be chained.

### set_key_store_password(self, password)

source code

Set the password for the SSL key store. This method should only be used with the client in SSL mode, i.e. after ssl has been set to true.

Keyword arguments:

Parameters:
  - `password` - The password.

    return self. So multiple invocations can be chained.

### set_trust_store_path(self, path)

source code

Set the path to the SSL trust store. This method should only be used with the client/server in SSL mode, i.e. after {#ssl=} has been set to true. The SSL trust store is a standard Java Key Store, and should contain the certificate(s) of the clients/servers that the server/client trusts. The SSL handshake will fail if the server provides a certificate that the client does not trust, or if client authentication is used, if the client provides a certificate the server does not trust.

Keyword arguments:

Parameters:
  - `path` - The path to the trust store

    return self. So multiple invocations can be chained.

### set_trust_store_password(self, password)

source code

Set the password for the SSL trust store. This method should only be used with the client in SSL mode, i.e. after {#ssl=} has been set to true.

Keyword arguments:

Parameters:
  - `password` - The password.

    return self. So multiple invocations can be chained.